<?php

/**
 * @file
 * Administration page.
 */

/**
 * Configuration form.
 */
function vertical_tabs_responsive_admin_settings($form, &$form_state) {

  $form['vertical_tabs_responsive_left'] = array(
    '#type' => 'select',
    '#title' => t('Vertical tabs side.'),
    '#options' => array(
      0 => t('Right'),
      1 => t('Left'),
    ),
    '#default_value' => variable_get('vertical_tabs_responsive_left', 0),
  );

  $form['vertical_tabs_responsive_vt_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Vertical tabs width.'),
    '#description' => t('Enter percentage from 20% to 50%.'),
    '#default_value' => variable_get('vertical_tabs_responsive_vt_width', '30'),
    '#size' => 2,
    '#maxlength' => 2,
    '#required' => TRUE,
    '#field_suffix' => t('%'),
  );

  $form['#validate'][] = 'vertical_tabs_responsive_admin_settings_validate';
  return system_settings_form($form);
}

/**
 * Configuration form validation.
 */
function vertical_tabs_responsive_admin_settings_validate($form, &$form_state) {

  if ($form_state['values']['vertical_tabs_responsive_vt_width'] > 50) {
    form_set_error('vertical_tabs_responsive_vt_width', t('Vertical tabs width must be under 51%'));
  }

  if ($form_state['values']['vertical_tabs_responsive_vt_width'] < 20) {
    form_set_error('vertical_tabs_responsive_vt_width', t('Vertical tabs width must be at least 20%'));
  }
}
